> For the complete documentation index, see [llms.txt](https://docs.coherence.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherence.io/0.4.14/api-reference/network-sdk/settings-window.md).

# Settings Window

## Build and Run Server

The **coherence** Settings window is located in `Project Settings -> coherence` and lets you launch a local replication server, upload your server to the cloud via the access token and bakes your Schemas for more optimized data transfer of Networked GameObjects.

![](/files/-MYvlpITNrDFxw9gJOYe)

**Enable CoherenceSync support**

Uncheck `Enable CoherenceSync support` to go pure ECS and use none of the visual tools.

**Bake Schemas**

When CoherenceSync variables/components are turned into ECS to send over the network, C# reflection is used to sync all the data at runtime. Whilst this is really useful for prototyping quickly and getting things working, it can be quite slow and poorly performing. A way to combat this is to bake the CoherenceSync component into a Schema.

The Schema is a text file that defines which data types in your project are synced over the network. It is the source from which **coherence** SDK generates C# struct types (and helper functions) that are used by the rest of your game. The **coherence** Replication Server also reads the Schema file to know about those types and to communicate them with all of its clients efficiently.

The Schema must be baked in the **coherence** Settings window, before the check box to bake this prefab can be clicked.

When the CoherenceSync component is baked, it generates a new file in the Inspector of that Game Object called `NameOfGameObject_Sync`.

**Active Schemas**

Select the Schema files you want to use.

* CoherenceSync (runtime reflection, slow)&#x20;
* CoherenceSync (baked, fast)&#x20;

**Bake Output Folder**

Defines where to store the baked Schema files.

**Portal**

Upload your Schema files to your server.

* Status - Current Status of your cloud server
* Token - Cloud token&#x20;

**Local Replication Server**

Run a local replication server.

* Port - The port access
* Frequency - Frequency of server.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coherence.io/0.4.14/api-reference/network-sdk/settings-window.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
